[Testing Update] 2018-12-02 - Kernels, Pamac, Thunderbird, Texlive

update
testing

#6

Check if your mirror has already synced:

Is ftp.tsukuba.wide.ad.jp missing?


#7

So far so good.
LXQT with Kernel 4.19.


#8

Ok with Xfce , Steam (opengl)


#9

I got an error in the post-install grub script about device-mapper:

Error
(3/7) Updating Grub-Bootmenu
Generando un fichero de configuración de grub...
Encontrado tema: /usr/share/grub/themes/manjaro/theme.txt
Encontrada imagen de linux: /boot/vmlinuz-4.19-x86_64
Encontrada imagen de memoria inicial: /boot/amd-ucode.img /boot/initramfs-4.19-x86_64.img
Found initrd fallback image: /boot/initramfs-4.19-x86_64-fallback.img
/dev/mapper/control: open failed: No existe el dispositivo
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.152 (2018-10-30) and kernel driver (unknown version).
Command failed.
/dev/mapper/control: open failed: No existe el dispositivo
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.152 (2018-10-30) and kernel driver (unknown version).
Command failed.
/dev/mapper/control: open failed: No existe el dispositivo
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.152 (2018-10-30) and kernel driver (unknown version).
Command failed.
/dev/mapper/control: open failed: No existe el dispositivo
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.152 (2018-10-30) and kernel driver (unknown version).
Command failed.
/dev/mapper/control: open failed: No existe el dispositivo
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.152 (2018-10-30) and kernel driver (unknown version).
Command failed.
Found memtest86+ image: /boot/memtest86+/memtest.bin
hecho
(4/7) Updating icon theme caches...
(5/7) Creating temporary files...
(6/7) Arming ConditionNeedsUpdate...
(7/7) Updating the desktop file MIME type cache...
pacman -Qi device-mapper
Nombre                    : device-mapper
Versión                   : 2.02.182-1
Descripción               : Device mapper userspace library and tools
Arquitectura              : x86_64
URL                       : http://sourceware.org/dm/
Licencias                 : GPL2  LGPL2.1
Grupos                    : base
Provee                    : Nada
Depende de                : glibc  libsystemd
Dependencias opcionales   : Nada
Exigido por               : cryptsetup  dmraid  grub  lvm2  nfs-utils  parted
Opcional para             : Nada
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la instalación  : 830,00 KiB
Encargado                 : Christian Hesse <arch@eworm.de>
Fecha de creación         : mié 31 oct 2018 21:38:08 CET
Fecha de instalación      : dom 25 nov 2018 16:28:58 CET
Motivo de la instalación  : Instalado explícitamente
Guion de instalación      : No
Validado por              : Firma

ls -l /usr/lib/*devmapper*
lrwxrwxrwx 1 root root     46 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2mirror.so -> device-mapper/libdevmapper-event-lvm2mirror.so
lrwxrwxrwx 1 root root     44 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2raid.so -> device-mapper/libdevmapper-event-lvm2raid.so
lrwxrwxrwx 1 root root     48 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2snapshot.so -> device-mapper/libdevmapper-event-lvm2snapshot.so
lrwxrwxrwx 1 root root     31 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2.so -> libdevmapper-event-lvm2.so.2.02
-r-xr-xr-x 1 root root  17472 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2.so.2.02
lrwxrwxrwx 1 root root     44 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2thin.so -> device-mapper/libdevmapper-event-lvm2thin.so
lrwxrwxrwx 1 root root     43 oct 31 21:38 /usr/lib/libdevmapper-event-lvm2vdo.so -> device-mapper/libdevmapper-event-lvm2vdo.so
lrwxrwxrwx 1 root root     26 oct 31 21:38 /usr/lib/libdevmapper-event.so -> libdevmapper-event.so.1.02
-r-xr-xr-x 1 root root  36400 oct 31 21:38 /usr/lib/libdevmapper-event.so.1.02
lrwxrwxrwx 1 root root     20 oct 31 21:38 /usr/lib/libdevmapper.so -> libdevmapper.so.1.02
-r-xr-xr-x 1 root root 392824 oct 31 21:38 /usr/lib/libdevmapper.so.1.02

#10

:grin:

Now it works for me!

No issues: linux419+gnome+nvidia+zfs


#11

Take a look here


#12

Thank you Philm, I already did. Unfortunately:

❯ sudo modinfo dm-mod
modinfo: ERROR: Module alias dm-mod not found.

❯ sudo modprobe dm-mod
modprobe: FATAL: Module dm-mod not found in directory /lib/modules/4.19.5-2-MANJARO

I have no idea, but it seems like it’s searching in the previous kernel version folder, but right now in that location there is only the folder for the new 4.19.6-1 one, so no luck. Maybe a reboot is needed? I didn’t reboot because of fear of a no working system so far.

EDIT: well, after a reboot I did another update-grub and it finished without errors, so it seems like it could be an false alarm. Sorry for wasting your time Phillip.


#13

I got a problem with an corrupt? package:
Fehler: linux-firmware: signature from “Laurent Carlier lordheavym@gmail.com” is invalid

Server = https://mirror.philpot.de/manjaro/testing/$repo/$arch
Anyone else?

Update: hmm, now on the 4. 5.? try, pacman did sucessfully update, so probably temporary bad connection?


#14

everything went fine! manjaro 18 kde. it’s a VM install, so no real hardware, but i have cloned all my software to the VM, so i can at least test, if an update breaks a compatibility with my software. only thing i cannot test is nvidia drivers.

everything else - no problems!


#15

still no 4.20 Kernel install/test option?


#16

Manjaro-Gnome + Kernel 4.19 + Virtualbox: I guess with the next testing update we’ll see whether pamac freezes at a certain percentage or not (In my setup it got stuck at 45% every time).

Apart from that issue, everything else worked fine.


#17

So far so good, no problems with this update.


#18

[DEPEND] Dependency failed for Local File Systems

/sbin/mount.fuse: error while loading shared libraries: libfuse3.so.3: cannot open shared object file:No such file or directory

Installing fuse3 fixed it.

Update to Pamac 7.3.1-4 seems to have fixed stalled update checking in Cinnamon (running system in VMware).


#19

Yes, after reboot update-grub doesn’t result in the error. But is isn’t a sign of the problem has gone. Just wait for the next update. For me the error still takes place on every update.


#20

Oh, this is a freshly installed system this week by the 18.0.1 RC1 iso, so it didn’t took many updates yet, so I didn’t noticed. It didn’t happened in my previous 1yr old installation.

Thank you for warning me. I will keep an eye on it and try to investigate posible causes and solutions.


#21

Is anyone noticing any issues with Western European update servers… Trying to install 4.14 kernel is timing out and sudo pacman -Syyuu is taking forever.

error: failed retrieving file ‘linux414-4.14.83-1-x86_64.pkg.tar.xz’ from manjaro.chocomint.co : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds.

This is on 1Gig FTTH connection. Speedtest giving me 700Mbps.


#22

Each mirror is independently run as far as I know. pacman-mirrors is your friend.


#23

Thanks for that, I recently reinstalled and forgot to update them to reflect my location… All done now, and speed is back to normal. Thanks again.:+1:


#24

Why

-Syyuu

???

.

sudo pacman -Syu

is the correct command!

From the man page:

pacman -Syu
Update package list and upgrade all packages afterwards.


#25

yy forces refresh, useful after mirror change…